@import model._
@import model.forms.VoteForm
@(form: Form[VoteForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Vote")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))
        <div class="container">
            <h3>Season 4 Session 4 Elections</h3>
            <p>Hey there, thanks for doing your digital civic duty.</p>
            <p>
                What makes MLR special is that we are constantly pushing towards having a collaborative design, getting the players, GMs, and anyone who wants to involved in shaping our beautiful game.
                OOTC has since evolved to largely be about protecting that community space for everyone, creating a space to talk about baseball, play games, entertain the idea of puzzles, or make friendships with people across the world.
            </p>
            <p>
                To that end when you cast your vote for future OOTC think carefully about who you want to be working with, who will push your interests, protect your voice, and be able to make hard decisions after careful deliberation.
                In Season 3 we had a turnout of 80 people, let's see if we can beat that! Good luck everyone.
            </p>
            <hr />
            @if(form.hasErrors) {
                @for(error <- form.errors) {
                    @for(msg <- error.messages) {
                        <p class="text-danger">@msg</p>
                    }
                }
            }
            @helper.form(action = routes.VoteController.submitVoteForm()) {
                <div class="row">
                    <div class="col">
                    @helper.input(form("option1")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Vote 1</label>
                            <select name="@name" id="@id" required="required" class="custom-select">
                                <option value="">Please select a candidate...</option>
                                @for(candidate <- VoteForm.candidates){
                                    @if(value.contains(candidate)) {
                                        <option value="@candidate" selected="selected">@candidate</option>
                                    } else {
                                        <option value="@candidate">@candidate</option>
                                    }
                                }
                            </select>
                        </div>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                    @helper.input(form("option2")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Vote 2</label>
                            <select name="@name" id="@id" required="required" class="custom-select">
                                <option value="">Please select a candidate...</option>
                                @for(candidate <- VoteForm.candidates){
                                    @if(value.contains(candidate)) {
                                        <option value="@candidate" selected="selected">@candidate</option>
                                    } else {
                                        <option value="@candidate">@candidate</option>
                                    }
                                }
                            </select>
                        </div>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                    @helper.input(form("option3")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Vote 3</label>
                            <select name="@name" id="@id" required="required" class="custom-select">
                                <option value="">Please select a candidate...</option>
                                @for(candidate <- VoteForm.candidates){
                                    @if(value.contains(candidate)) {
                                        <option value="@candidate" selected="selected">@candidate</option>
                                    } else {
                                        <option value="@candidate">@candidate</option>
                                    }
                                }
                            </select>
                        </div>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                    @helper.input(form("option4")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Vote 4</label>
                            <select name="@name" id="@id" required="required" class="custom-select">
                                <option value="">Please select a candidate...</option>
                                @for(candidate <- VoteForm.candidates){
                                    @if(value.contains(candidate)) {
                                        <option value="@candidate" selected="selected">@candidate</option>
                                    } else {
                                        <option value="@candidate">@candidate</option>
                                    }
                                }
                            </select>
                        </div>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                    @helper.input(form("option5")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Vote 5</label>
                            <select name="@name" id="@id" required="required" class="custom-select">
                                <option value="">Please select a candidate...</option>
                                @for(candidate <- VoteForm.candidates){
                                    @if(value.contains(candidate)) {
                                        <option value="@candidate" selected="selected">@candidate</option>
                                    } else {
                                        <option value="@candidate">@candidate</option>
                                    }
                                }
                            </select>
                        </div>
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <button class="btn btn-success mt-2">Vote!</button>
                    </div>
                </div>
            }
        </div>
    </body>
</html>
